"use strict";

const Promise = require("bluebird");

const pipe = require("@promistream/pipe");
const fromIterable = require("./");
const map = require("@promistream/map");
const collect = require("@promistream/collect");

Promise.try(() => {
	return pipe([
		fromIterable([ 1, 2, 3, 4 ]),
		map((number) => number * 2),
		collect()
	]).read();
}).then((result) => {
	console.log(result); // [ 2, 4, 6, 8 ]
});
